﻿<%@ Page Language="C#" 
    AutoEventWireup="false" 
    ViewStateMode="Enabled" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Assembly="System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" Namespace="System.Windows.Forms" TagPrefix="WinForms" %>

<!DOCTYPE html>

<html style="height: 100%; width: 100%; padding: 0px;">
<head runat="server">
    <title></title>
</head>
<body style="height: 100%; width: 100%; padding: 0px;">
    <form id="form" runat="server" style="height: 100%; width: 100%; padding: 0px;">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
    </form>

    <script runat="server">

        protected override void OnPreInit(EventArgs e)
        {
            Wisej.Web.Application.RestoreSession(Context);

            var wrapper = this.Wrapper;
            if (wrapper != null)
                wrapper.OnPagePreInitCallback(this);

            base.OnPreInit(e);
        }

        protected override void OnInit(EventArgs e)
        {
            var wrapper = this.Wrapper;
            if (wrapper != null)
                wrapper.OnPageInitCallback(this);

            base.OnInit(e);
        }

        protected override void OnLoad(EventArgs e)
        {
            var wrapper = this.Wrapper;
            if (wrapper != null)
                wrapper.OnPageLoadCallback(this);

            base.OnLoad(e);
        }

        protected override object LoadPageStateFromPersistenceMedium()
        {
            var wrapper = this.Wrapper;
            return wrapper != null && wrapper.UseSessionViewState
                ? wrapper.ViewState
                : base.LoadPageStateFromPersistenceMedium();
        }

        protected override void SavePageStateToPersistenceMedium(object viewState)
        {
            var wrapper = this.Wrapper;
            if (wrapper != null && wrapper.UseSessionViewState)
                wrapper.ViewState = viewState;
        }

        private  Wisej.Web.Ext.UpdatePanelAspNetControl.UpdatePanelAspNetWrapperBase Wrapper
        {
            get
            {
                string id = Request["_cid"];
                var component = Wisej.Web.Application.FindComponent(o => o.Id == id) as Wisej.Web.Ext.UpdatePanelAspNetControl.UpdatePanelAspNetWrapperBase;
                return component;
            }
        }

    </script>
</body>
</html>
